Table of Contents
- Introduction
- Information Tags
- String Tags
- Variable Tags
- URL Tags
- If Tags
- Graphics Tags
- Database Tags
- Programming Tags

  | · Introduction · catch · cgi · throw · crypt · debug · default · for · gauge · nooutput · noparse · pike · random · realfile · scope · sed · strlen · trace · vfs · wizard

- Supports System
- SSI
- htaccess
- Image Maps
- Appendix

<crypt> |

`<crypt>` is defined in the Main RXML parser module. Encrypts the contents as a Unix style password. Useful when combined with services that use such passwords. Unix style passwords are one-way encrypted, to prevent the actual clear-text password from being stored anywhere. When a login attempt is made, the password supplied is also encrypted and then compared to the stored encrypted password.

Attributes |

Attributes

Example

source code

    <wizard name=Password>
    <page>Enter your password:
    <var name=password type=password size=10>
    </page>
    <page>Your encrypted password is
    <tt><crypt><insert var=password></crypt></tt>.
    </page>
    </wizard>

result

Password | Page 1/2 |

Enter your password:

</dump_if not cookie=rxml-help>